## cong-editor-area-text

cong-editor-area-text —

## Synopsis

    #define     CONG_EDITOR_AREA_TEXT           (obj)
    #define     CONG_EDITOR_AREA_TEXT_CLASS     (klass)
    #define     IS_CONG_EDITOR_AREA_TEXT        (obj)
    GType       cong_editor_area_text_get_type  (void);
    CongEditorArea* cong_editor_area_text_construct
                                                (CongEditorAreaText *area_text,
                                                 CongEditorWidget3 *editor_widget,
                                                 CongFont *font,
                                                 const GdkColor *fg_col,
                                                 const gchar *text,
                                                 gboolean use_markup);
    CongEditorArea* cong_editor_area_text_new   (CongEditorWidget3 *editor_widget,
                                                 CongFont *font,
                                                 const GdkColor *fg_col,
                                                 const gchar *text,
                                                 gboolean use_markup);
    void        cong_editor_area_text_set_text  (CongEditorAreaText *area_text,
                                                 const gchar *text);
    void        cong_editor_area_text_set_markup
                                                (CongEditorAreaText *area_text,
                                                 const gchar *markup);
    gint        cong_editor_area_text_get_single_line_requisition
                                                (CongEditorAreaText *area_text,
                                                 GtkOrientation orientation);
    gboolean    cong_editor_area_text_xy_to_index
                                                (CongEditorAreaText *area_text,
                                                 int x,
                                                 int y,
                                                 int *index_,
                                                 int *trailing);

## Description

## Details

### CONG_EDITOR_AREA_TEXT()

    #define CONG_EDITOR_AREA_TEXT(obj)         G_TYPE_CHECK_INSTANCE_CAST (obj, CONG_EDITOR_AREA_TEXT_TYPE, CongEditorAreaText)

`obj` : |

### CONG_EDITOR_AREA_TEXT_CLASS()

    #define CONG_EDITOR_AREA_TEXT_CLASS(klass) G_TYPE_CHECK_CLASS_CAST (klass, CONG_EDITOR_AREA_TEXT_TYPE, CongEditorAreaTextClass)

`klass` : |

### IS_CONG_EDITOR_AREA_TEXT()

    #define IS_CONG_EDITOR_AREA_TEXT(obj)      G_TYPE_CHECK_INSTANCE_TYPE (obj, CONG_EDITOR_AREA_TEXT_TYPE)

`obj` : |

### cong_editor_area_text_get_type ()

    GType       cong_editor_area_text_get_type  (void);

Returns : |

### cong_editor_area_text_construct ()

    CongEditorArea* cong_editor_area_text_construct
                                                (CongEditorAreaText *area_text,
                                                 CongEditorWidget3 *editor_widget,
                                                 CongFont *font,
                                                 const GdkColor *fg_col,
                                                 const gchar *text,
                                                 gboolean use_markup);

TODO: Write me

`area_text` : |
`editor_widget` : |
`font` : |
`fg_col` : |
`text` : |
`use_markup` : |
Returns : |

### cong_editor_area_text_new ()

    CongEditorArea* cong_editor_area_text_new   (CongEditorWidget3 *editor_widget,
                                                 CongFont *font,
                                                 const GdkColor *fg_col,
                                                 const gchar *text,
                                                 gboolean use_markup);

TODO: Write me

`editor_widget` : |
`font` : |
`fg_col` : |
`text` : |
`use_markup` : |
Returns : |

### cong_editor_area_text_set_text ()

    void        cong_editor_area_text_set_text  (CongEditorAreaText *area_text,
                                                 const gchar *text);

TODO: Write me

`area_text` : |
`text` : |

### cong_editor_area_text_set_markup ()

    void        cong_editor_area_text_set_markup
                                                (CongEditorAreaText *area_text,
                                                 const gchar *markup);

TODO: Write me

`area_text` : |
`markup` : |

### cong_editor_area_text_get_single_line_requisition ()

    gint        cong_editor_area_text_get_single_line_requisition
                                                (CongEditorAreaText *area_text,
                                                 GtkOrientation orientation);

TODO: Write me

`area_text` : |
`orientation` : |
Returns : |

### cong_editor_area_text_xy_to_index ()

    gboolean    cong_editor_area_text_xy_to_index
                                                (CongEditorAreaText *area_text,
                                                 int x,
                                                 int y,
                                                 int *index_,
                                                 int *trailing);

TODO: Write me

`area_text` : |
`x` : |
`y` : |
`index_` : |
`trailing` : |
Returns : |